/* buffer size for reading real processes */
#define READ_BUF_SIZE 8192

/* maximum include/variable recursion in lex */
#define LEX_MAX_DEPTH 64

/* maximum length of a single token (including strings!) in some situations, for
   example when parsing a stream for [cmd] */
#define MAX_TOKEN_LEN 32768

/* Debug options - these will print plumb internal debug to stderr */
/* #define TIMER_DEBUG */
/* #define POLL_DEBUG */
/* #define RW_DEBUG */
/* #define PROCWATCH_DEBUG */

/* default config var settings */
#define DEFAULT_PLUMB_KILL_TIMEOUT 100

/* VP specific settings */
#define VP_SPLIT_DEFAULT_MAX_LEN  1024*1024
#define VP_VARLEN_DEFAULT_MAX_LEN 1024*1024

