/* === API for VPs === */

double now;

/* trigger proc with data delta seconds in the future */
int timer_add_delta(proc_virt_t *proc, double delta, void *data);

/* delete all active timers of a process */
int timer_del_proc(proc_virt_t *proc);


/* === API for main_loop === */
/* runs timers and returns poll timeout for running the next timer */
int timer_run(void);

/* initialize timer infrastructure */
void timer_init(void);

/* free up all resources */
void timer_uninit(void);
