virt_ctrl_t vp_default_input(proc_virt_t *proc, int local_fd, const char *data, int len);
virt_ctrl_t vp_default_sink_eof(proc_virt_t *proc, int local_fd);
virt_ctrl_t vp_default_source_eof(proc_virt_t *proc, int local_fd);
virt_ctrl_t vp_default_source_block(proc_virt_t *proc, int local_fd, int is_blocking);

/* discard all input on any fd */
virt_ctrl_t vp_input_discard(proc_virt_t *proc, int local_fd, const char *data, int len);

/* relay all input to fd 1 from any sink fd */
virt_ctrl_t vp_input_copy(proc_virt_t *proc, int local_fd, const char *data, int len);


/* panic callbacks for VPs that use shadow RPs ([open]) */
virt_ctrl_t vp_eof_shadowed_panic(proc_virt_t *proc, int local_fd);
virt_ctrl_t vp_input_shadowed_panic(proc_virt_t *proc, int local_fd, const char *data, int len);
